%% FUNCIÓN MODULACIÓN OQAM
%<modOQAM>

%PARÁMETROS DE RETORNO:
%datosOQAM: Vector modulado OQAM

%PARÁMETROS DE INGRESO:
%datosQPSK: Vector de valores modulados QPSK
%ind: Valor del índice en ciclo iterativo
%parametros: Estructura con parámetros de simulación

function datosOQAM=modOQAM(datosQPSK,ind,parametros)

L=parametros.numSub-1;%Corrección al par entero anterior
datosOQAM=zeros(L,1);
                    
if rem(ind,2)==1        % símbolos impares
    datosOQAM(1:2:L) = real(datosQPSK);
    datosOQAM(2:2:L) = 1i*imag(datosQPSK);
else                    % símbolos pares
    datosOQAM(1:2:L) = 1i*imag(datosQPSK);
    datosOQAM(2:2:L) = real(datosQPSK);
end

end

